<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__customs__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_customs_t</compoundname>
    <includes local="no">cy_ble_custom.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__customs__t_1a112dd0bd4cff0dd368cf678cdb1f134f" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_customs_t::customServHandle</definition>
        <argsstring />
        <name>customServHandle</name>
        <briefdescription>
<para>Handle of a Custom Service. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="61" />
      </memberdef>
      <memberdef id="structcy__stc__ble__customs__t_1aa02e3a01d2b2154f0cb45ff17941e15f" kind="variable" mutable="no" prot="public" static="no">
        <type>const <ref kindref="compound" refid="structcy__stc__ble__customs__info__t">cy_stc_ble_customs_info_t</ref> *</type>
        <definition>const cy_stc_ble_customs_info_t* cy_stc_ble_customs_t::customServInfo</definition>
        <argsstring />
        <name>customServInfo</name>
        <briefdescription>
<para>Information about Custom Characteristics. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="64" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Structure with Custom Service attribute handles. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="406">
        <label>cy_stc_ble_customs_t</label>
        <link refid="structcy__stc__ble__customs__t" />
        <childnode refid="407" relation="usage">
          <edgelabel>customServInfo</edgelabel>
        </childnode>
      </node>
      <node id="407">
        <label>cy_stc_ble_customs_info_t</label>
        <link refid="structcy__stc__ble__customs__info__t" />
      </node>
    </collaborationgraph>
    <location bodyend="65" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_custom.h" line="59" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__customs__t_1a112dd0bd4cff0dd368cf678cdb1f134f" virt="non-virtual"><scope>cy_stc_ble_customs_t</scope><name>customServHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__customs__t_1aa02e3a01d2b2154f0cb45ff17941e15f" virt="non-virtual"><scope>cy_stc_ble_customs_t</scope><name>customServInfo</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>